=== modified file 'ivle/webapp/base/ivle-headings.html'
--- ivle/webapp/base/ivle-headings.html	2009-02-24 06:39:45 +0000
+++ ivle/webapp/base/ivle-headings.html	2009-02-24 06:56:45 +0000
@@ -60,8 +60,8 @@
       <div py:if="logged_in" id="ivleheader_tabs">
         <ul id="apptabs">
           <py:for each="app in apps_in_tabs">
-            <li py:if="app['this_app']" class="thisapp"><span><span><py:if test="app['has_icon']"><img src="${app['icon_url']}" alt="" /> </py:if><a href="${app['path']}" title="${app['desc']}">${app['name']}</a></span></span></li>
-            <li py:if="not app['this_app']"><span><span><py:if test="app['has_icon']"><img src="${app['icon_url']}" alt="" /> </py:if><a href="${app['path']}" title="${app['desc']}">${app['name']}</a></span></span></li>
+            <li py:if="app['this_app']" class="thisapp"><a href="${app['path']}" title="${app['desc']}"><span><py:if test="app['has_icon']"><img src="${app['icon_url']}" alt="" /> </py:if>${app['name']}</span></a></li>
+            <li py:if="not app['this_app']"><a href="${app['path']}" title="${app['desc']}"><span><py:if test="app['has_icon']"><img src="${app['icon_url']}" alt="" /> </py:if>${app['name']}</span></a></li>
           </py:for>
         </ul>
       </div>

=== modified file 'ivle/webapp/coremedia/ivle.css'
--- ivle/webapp/coremedia/ivle.css	2009-02-24 06:39:45 +0000
+++ ivle/webapp/coremedia/ivle.css	2009-02-24 06:56:45 +0000
@@ -137,14 +137,17 @@
     padding: 0;
     padding-left: 4px;
 }
-ul#apptabs li span {
+ul#apptabs li a img {
+    border: none;
+}
+ul#apptabs li a {
     background-image: url(../ivle.webapp.core/images/chrome/tab-right.png);
     background-repeat: no-repeat;
     background-position: top right;
     padding: 0;
     padding-right: 4px;
 }
-ul#apptabs li span span {
+ul#apptabs li a span {
     background-image: url(../ivle.webapp.core/images/chrome/tab-mid.png);
     background-repeat: repeat-x;
     padding: 0 3px;
@@ -153,10 +156,10 @@
     /*background-color: #fd8;*/
     background-image: url(../ivle.webapp.core/images/chrome/tab-hover-left.png);
 }
-ul#apptabs li:hover span {
+ul#apptabs li:hover a {
     background-image: url(../ivle.webapp.core/images/chrome/tab-hover-right.png);
 }
-ul#apptabs li:hover span span {
+ul#apptabs li:hover a span {
     background-image: url(../ivle.webapp.core/images/chrome/tab-hover-mid.png);
 }
 /* Currently active app tab */
@@ -165,10 +168,10 @@
     /*border-bottom: 1px solid white;*/
     background-image: url(../ivle.webapp.core/images/chrome/tab-selected-left.png);
 }
-ul#apptabs li.thisapp span {
+ul#apptabs li.thisapp a {
     background-image: url(../ivle.webapp.core/images/chrome/tab-selected-right.png);
 }
-ul#apptabs li.thisapp span span {
+ul#apptabs li.thisapp a span {
     background-image: url(../ivle.webapp.core/images/chrome/tab-selected-mid.png);
 }
 

